<?PHP
//adminと権限があるユーザの場合のみ表示
$uid=$xoopsUser->getVar('uid');
//Get permission
$perm_name = 'myhtml_permit';
//10000000はカテゴリーに対する
$perm_itemid = 10000000+$HTTP_GET_VARS['cid'];
	if ($xoopsUser) {
		$groups = $xoopsUser->getGroups();
	} else {
		$groups = XOOPS_GROUP_ANONYMOUS;
	}
	$module_id = $xoopsModule->getVar('mid');
	$gperm_handler =& xoops_gethandler('groupperm');
	//チェック
	if (!$gperm_handler->checkRight($perm_name, $perm_itemid, $groups, $module_id)) {
	redirect_header("./index.php",2,"このカテゴリーにアクセスする権限がありません");
	exit;
	}
?>